Subject: RE: [Sip] Comments on draft-ietf-sip-compression-01.txt

From: [email-masked]
Date: Tue, 24 Sep 2002 13:12:00 +0300

> -----Original Message-----
> From: ext Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Tuesday, September 24, 2002 8:55 AM
> To: Khartabil Hisham (NMP/Helsinki)
> Cc: [email-masked]
> Subject: Re: [Sip] Comments on draft-ietf-sip-compression-01.txt
> 
> 
> Hisham,
> 
> inline:
> 
> [email-masked] wrote:
> > 
> > - Section 4: it says:
> > 
> > "If a client sends a compressed request, it SHOULD add the parameter
> >    comp=sigcomp to the topmost entry of the Via header field."
> > 
> > Why isn't that so also for proxies?
> 
> 
> Where did you read that proxies are not clients?
> 

Are you asking me a genuine question or are you just answering my question in a patronising manner?

> 
>  
> > Section 5: Second and third paragraph. What is the purpose 
> of this? If I understand correctly, it is to allow the UAC 
> sending compressed requests within this dialog. But this doesn't work.
> > 
> > Consider this scenario
> > 
> > UA1 --- P1 --- P2 --- P3 --- UA2
> > 
> > P1 wants to compress
> > P2 doesn't want to compress
> > P3 wants to compress
> > 
> 
> When you provide an example like this, you should indicate on which
> interface each SIP entity wants to compress. In fact, the 
> purpose of the
> paragraph you are referring to, is to avoid asymmetrical compression.
> That is, if SIP messages from P1 to P2 are compressed, 
> messages from P2
> to P1 will be compressed as well.

Well, why doesn't the draft say that? I was only guessing what those 2 paragraphs where trying to achieve. I guessed so because your example gives this impression, you say "This will allow the UAC sending compressed requests within this dialog." And the result was compression all the way.

You should change your example so it shows how asymmetrical compression is avoided, not how UAC can get compression all the way.

Also, if there is such requirement that a client can request compression all the way, then you need a solution for that.

> 
> In an example like this, you also have to define if, 
> regardless of waht
> they want, they support SigComp or not. I assume that they all support
> it.

Yes, your assumption is correct. Sorry for the inconvenience.

> ...
> 
> A proxy adding sigcomp to the Record-route will add it to the 
> Via header
> as well. Therefore the Vias in your example are likely to be 
> different.

I was concentrating on RR and wasn't bothered with Vias.

Sorry again, I should have said "For clarity, only parts of the sip messages are shown".

Regards,
Hisham
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip